Skip to content
No description or website provided.
Lua CMake
Latest commit 13f212b Jan 10, 2016 @kapecp kapecp Several small changes:
- Fixed README
- added luacomments dependency to dist.info
- fixed a small bug
Failed to load latest commit information.
cmake Updated CMake macros and version info Oct 27, 2012
src/metrics
.travis.yml Updated travis hook Feb 18, 2013
CMakeLists.txt
COPYRIGHT
README Several small changes: Jan 10, 2016
dist.info

README

* About LuaMetrics
---------------
- TODO !!!

* Availability
------------
LuaMetrics is freely available for both academic and commercial purposes under
MIT license. See COPYRIGHT for details.

* Dependecies
-----------------------------------------
LuaMetrics requires following modules to be installed:
	lua >= 5.1	(not tested with 5.2)
	leg == 0.1.3	(leg version 0.1.3 is provided by LuaDist and supports lpeg >= 0.10)
	lpeg >= 0.10
	luacomments >= 0.2

* Installation
------------
Simplest way to install LuaMetrics is to use the LuaDist (www.luadist.org) deployment
tool by invoking:

	> ./luadist _luametrics install luametrics

which will install LuaMetrics and all it's dependencies into the _luametrics folder.
LuaMetrics can be also installed using CMake (www.cmake.org). For manual installation
copy the metrics folder from src into your LUA_PATH folder.

* Running
-------
LuaMetrics is currently only a Lua module and does not provide any applications.
However the LuaDocer [1] documentation tool uses LuaMetrics heavily - please see
documentations generated by LuaDocer to see what source code metrics can
LuaMetrics  produce.

* Compatibility
-------------
LuaMetrics was tested only on Linux platform, but should work on all main platforms.

* Authors
-------
LuaMetrics is developed and maintained by:
	Ivan Šimko  (main developer)
	Peter Kapec (project supervisor)

* References
-------
[1] https://github.com/LuaDist/luadocer

Something went wrong with that request. Please try again.